0

With MySQL 8.0.20 currently installed on Ubuntu, I am unable to use Percona XtraBackup 2.3.7 due to breaking changes introduced in MySQL 8.0.20.

How can we downgrade MySQL 8.0.20 to 8.0.19 on Ubuntu, which I believe is the latest MySQL version currently supported by XtraBackup? dpkg-reconfigure mysql-apt-config does not allow us to select a minor version.

Must the current data be backup using mysqldump before the downgrade, and restored using the dump after the downgrade?

1 Answer 1

1

Xtrabackup 8.0.12 should work with MySQL 8.0.20

Percona xtrabackup 8.0.12 release

Percona XtraBackup 8.0.12 now supports backup and restore processing for all versions of MySQL up to and including 8.0.20; previous versions of Percona XtraBackup will not work with MySQL 8.0.20 and higher.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.